<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador">
        <mat-toolbar>
            <span>Empleados Empresa <mat-icon class="md-18" style="color: rgb(61, 61, 209);">work</mat-icon></span>
            
            <div class="example-spacer"></div>
            <button mat-raised-button color="primary" routerLink="/nuevoColaboradoresEmpresa">Agregar</button>
        </mat-toolbar>
    
        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>
    
        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>
                
                <!-- Position Column -->
                <ng-container matColumnDef="id_empleado_empresa" >
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_empleado_empresa}} </td>
                </ng-container>
        
                <!-- Name Column -->
                <ng-container matColumnDef="nombres">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombres</th>
                    <td mat-cell *matCellDef="let element"> {{element.nombres}} </td>
                </ng-container>
        
                <!-- Weight Column -->
                <ng-container matColumnDef="apellidos">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Apellidos </th>
                    <td mat-cell *matCellDef="let element"> {{element.primer_apellido}} {{element.segundo_apellido}} </td>
                </ng-container>
        
        
                <!-- Symbol Column -->
                <ng-container matColumnDef="numero_documento">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> RUT </th>
                    <td mat-cell *matCellDef="let element"> {{element.numero_documento}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="direccion">
                    <th mat-header-cell *matHeaderCellDef>Direccion </th>
                    <td mat-cell *matCellDef="let element"> {{element.direccion}} </td>
                </ng-container>
        
                <!-- Symbol Column -->
                <ng-container matColumnDef="email">
                    <th mat-header-cell *matHeaderCellDef> Email </th>
                    <td mat-cell *matCellDef="let element"> {{element.email}} </td>
                </ng-container>
    
              
                
                <!--
                <ng-container matColumnDef="pass">
                    <th mat-header-cell *matHeaderCellDef> Password </th>
                    <td mat-cell *matCellDef="let element"> {{element.pass}} </td>
                </ng-container>
                -->

                <ng-container matColumnDef="id_unidad">
                    <th mat-header-cell *matHeaderCellDef> Unidad </th>
                    <td mat-cell *matCellDef="let element"> {{element.unidad.nombre_unidad}} </td>
                </ng-container>
                <ng-container matColumnDef="id_area">
                    <th mat-header-cell *matHeaderCellDef> Area </th>
                    <td mat-cell *matCellDef="let element"> {{element.area.nombre_area}} </td>
                </ng-container>

                <!--
                <ng-container matColumnDef="id_empresa">
                    <th mat-header-cell *matHeaderCellDef> Empresa </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_empresa}} </td>
                </ng-container>
                -->

                <ng-container matColumnDef="id_rol">
                    <th mat-header-cell *matHeaderCellDef> Rol </th>
                    <td mat-cell *matCellDef="let element"> {{element.rol.nombre_rol}} </td>
                </ng-container>

                
        
                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        <!--
                        <a class="pointer" style="color: black;" matTooltip="Ver">
                            <mat-icon>search</mat-icon>
                        </a>
                        -->
                        <a class="pointer" (click)="editarColaboradoresEmpresa(element.id_empleado_empresa)" matTooltip="Editar">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="eliminarColaboradoresEmpresa(element.id_empleado_empresa)" matTooltip="Eliminar">
                            <mat-icon color="warn">delete</mat-icon>
                        </a>
        
                    </td>
                </ng-container>
        
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>
    </ng-container>

</div>
